JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
PushNotifications::Notification::Progress Struct Reference
juce_gui_extra » misc

Used to represent a progress of some operation. More...

`#include <juce_PushNotifications.h>`

## Public Attributes
int | max = 0
| Max possible value of a progress.
int | current = 0
| Current progress value, should be from 0 to max.
bool | indeterminate = false
| If true, then the progress represents a continuing activity indicator with ongoing animation and no numeric value.

## Detailed Description

Used to represent a progress of some operation.

## Member Data Documentation

## ◆ max

int PushNotifications::Notification::Progress::max = 0

Max possible value of a progress.

A typical usecase is to set max to 100 and increment current's value as percentage complete.

## ◆ current

int PushNotifications::Notification::Progress::current = 0

Current progress value, should be from 0 to max.

## ◆ indeterminate

bool PushNotifications::Notification::Progress::indeterminate = false

If true, then the progress represents a continuing activity indicator with ongoing animation and no numeric value.

The documentation for this struct was generated from the following file:

- juce_PushNotifications.h